package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.domain.MenuDishesType;
import com.bonus.canteen.core.menu.dto.DrpUnitPageDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesTypeAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesTypeEditDTO;
import com.bonus.canteen.core.menu.vo.DrpUnitPageVO;
import com.bonus.canteen.core.menu.vo.MenuDishesTypeAllVO;

import java.util.List;

/**
 * @author xliu
 * @date 2025/4/8 19:16
 */
public interface MenuDishesTypeService extends IService<MenuDishesType> {


    List<MenuDishesTypeAllVO> getAllMenuDishesTypeList();

    int addMenuDishesType(MenuDishesTypeAddDTO content);

    List<DrpUnitPageVO> getDrpUnitPage(DrpUnitPageDTO dto);

    int updateMenuDishesType(MenuDishesTypeEditDTO content);

    int delMenuDishesType(MenuDishesTypeEditDTO content);
}
